import React from "react";
import {
  StyleSheet,
  Text,
  ActivityIndicator,
} from "react-native";
import SetupView from '../components/SetupView';


function ConnectingView(props) {

  return (
    <SetupView
      headerText="Connecting..."
      lowerLeftButtonText="Advanced Setup"
      lowerRightButtonText="Need help?"
    >
      <ActivityIndicator size="large" color="#ffffff" />
      <Text style={styles.subtext}>
        Please connect your phone to the WiFi of your SwimTracker
            </Text>

    </SetupView>
  )
}

const styles = StyleSheet.create({
  subtext: {
    color: "rgba(255,255,255,1)",
    textAlign: "left",
    fontSize: 18,
    lineHeight: 25,
    width: "80%",
  }
});

export default ConnectingView;